Index: orxonox/trunk/src/lib/collision_detection/cd_engine.cc
===================================================================
--- orxonox/trunk/src/lib/collision_detection/cd_engine.cc	(revision 4614)
+++ orxonox/trunk/src/lib/collision_detection/cd_engine.cc	(revision 4615)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -19,4 +19,5 @@
 #include "obb_tree.h"
 #include "debug.h"
+#include "abstract_model.h"
 
 using namespace std;
@@ -26,8 +27,8 @@
    \brief standard constructor
 */
-CDEngine::CDEngine () 
+CDEngine::CDEngine ()
 {
    this->setClassName("CDEngine");
-   this->setClassID(CL_CD_ENGINE, "CDEngine"); 
+   this->setClassID(CL_CD_ENGINE, "CDEngine");
 
    /* testing purposes only: */
@@ -44,5 +45,5 @@
 
 */
-CDEngine::~CDEngine () 
+CDEngine::~CDEngine ()
 {
   CDEngine::singletonRef = NULL;
@@ -74,5 +75,10 @@
   this->rootTree->debug();
   PRINT(0)("=  CDEngine: Spawning Tree: Finished\n");
-  PRINT(0)("=======================================================\n");      
+  PRINT(0)("=======================================================\n");
 
 }
+
+void CDEngine::debugSpawnTree(int depth, sVec3D* vertices, int numVertices)
+{
+  this->rootTree->spawnBVTree(depth, vertices, numVertices);
+}
Index: orxonox/trunk/src/lib/collision_detection/cd_engine.h
===================================================================
--- orxonox/trunk/src/lib/collision_detection/cd_engine.h	(revision 4614)
+++ orxonox/trunk/src/lib/collision_detection/cd_engine.h	(revision 4615)
@@ -1,6 +1,6 @@
-/*! 
+/*!
     \file cd_engine.h
     \brief Definition of the collision detection engine
-    
+
 */
 
@@ -10,4 +10,5 @@
 #include "base_object.h"
 #include "collision_defs.h"
+#include "abstract_model.h"
 
 template<class T> class tList;
@@ -50,4 +51,5 @@
 
   void debug();
+  void debugSpawnTree(int depth, sVec3D* vertices, int numVertices);
 
  private:
Index: orxonox/trunk/src/lib/collision_detection/obb_tree.cc
===================================================================
--- orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4614)
+++ orxonox/trunk/src/lib/collision_detection/obb_tree.cc	(revision 4615)
@@ -107,5 +107,5 @@
     }
 
-  this->spawnBVTree(1, vertList, length);
+  this->spawnBVTree(2, vertList, length);
 
   PRINT(0)("=  Spawning Tree: Finished\n");
Index: orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4614)
+++ orxonox/trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 4615)
@@ -389,12 +389,12 @@
 void OBBTreeNode::drawBV(int currentDepth, const int depth) const
 {
-  glBegin(GL_LINE_LOOP);
-  glColor3f(1.0, 1.0, 1.0);
-  for(int i = 0; i < this->bvElement->numOfVertices; ++i)
-    {
-      glVertex3f(this->bvElement->vertices[i][0], this->bvElement->vertices[i][1], this->bvElement->vertices[i][2]);
-      //printf("v(%f, %f, %f)\n", this->vertices[i][0], this->vertices[i][1], this->vertices[i][2]);
-    }
-  glEnd();
+//   glBegin(GL_LINE_LOOP);
+//   glColor3f(1.0, 1.0, 1.0);
+//   for(int i = 0; i < this->bvElement->numOfVertices; ++i)
+//     {
+//       glVertex3f(this->bvElement->vertices[i][0], this->bvElement->vertices[i][1], this->bvElement->vertices[i][2]);
+//       //printf("v(%f, %f, %f)\n", this->vertices[i][0], this->vertices[i][1], this->vertices[i][2]);
+//     }
+//   glEnd();
 }
 
Index: orxonox/trunk/src/lib/graphics/importer/md2Model.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/md2Model.h	(revision 4614)
+++ orxonox/trunk/src/lib/graphics/importer/md2Model.h	(revision 4615)
@@ -1,16 +1,16 @@
-/*! 
+/*!
     \file md2Model.h
     \brief Definition of an MD2 Model, a model format invented by ID Software.
-    
+
     We are deeply thankfull for all the wunderfull things id software made for us gamers!
-    
+
     The md2 file format is structured in a very simple way: it contains animations which are made out of
     frames (so called keyframes). Each frame is a complete draweable model in a specific position.
     A frame is a collection of vertex and its compagnions (normals, texture coordinates).
-    
-    A typical model has about 200 frames, the maximum frame count is fixed by MD2_MAX_FRAMES to currently 
+
+    A typical model has about 200 frames, the maximum frame count is fixed by MD2_MAX_FRAMES to currently
     512 frames. The maximal vetices count is set to 2048 verteces, not enough?
     You just have to change the MD2_MAX_* values if it doesn't fit your purposes...
-    
+
     Surface Culling is fully implemented in md2 models: quake2 uses front face culling.
 */
@@ -27,10 +27,10 @@
 #define MD2_IDENT                       (('2'<<24) + ('P'<<16) + ('D'<<8) + 'I') //!< the md2 identifier tag in the bin file
 #define MD2_VERSION                     8                                        //!< the md2 version in the header
-#define MD2_MAX_TRIANGLES		4096                                     //!< maximal triangles count
-#define MD2_MAX_VERTICES		2048                                     //!< maximal vertices count
-#define MD2_MAX_TEXCOORDS		2048                                     //!< maximal tex coordinates
-#define MD2_MAX_FRAMES			512                                      //!< maximal frames
-#define MD2_MAX_SKINS			32                                       //!< maximal skins
-#define MD2_MAX_FRAMESIZE		(MD2_MAX_VERTICES * 4 + 128)             //!< maximal framesize
+#define MD2_MAX_TRIANGLES               4096                                     //!< maximal triangles count
+#define MD2_MAX_VERTICES                2048                                     //!< maximal vertices count
+#define MD2_MAX_TEXCOORDS               2048                                     //!< maximal tex coordinates
+#define MD2_MAX_FRAMES                  512                                      //!< maximal frames
+#define MD2_MAX_SKINS                   32                                       //!< maximal skins
+#define MD2_MAX_FRAMESIZE               (MD2_MAX_VERTICES * 4 + 128)             //!< maximal framesize
 
 #define NUM_VERTEX_NORMALS              162                                      //!< number of vertex normals
@@ -38,29 +38,29 @@
 
 //! This stores the speed of the animation between each key frame - currently conflicting with the animation framework
-#define kAnimationSpeed			12.0f                                    //!< animation speed
+#define kAnimationSpeed                 12.0f                                    //!< animation speed
 
 //! This holds the header information that is read in at the beginning of the file: id software definition
 struct MD2Header
-{ 
-   int ident;			        //!< This is used to identify the file
-   int version;			        //!< The version number of the file (Must be 8)
-    
-   int skinWidth;			//!< The skin width in pixels
-   int skinHeight;			//!< The skin height in pixels
-   int frameSize;			//!< The size in bytes the frames are
-   
-   int numSkins;		        //!< The number of skins associated with the model
-   int numVertices;			//!< The number of vertices (constant for each frame)
-   int numTexCoords;			//!< The number of texture coordinates
-   int numTriangles;			//!< The number of faces (polygons)
-   int numGlCommands;			//!< The number of gl commands
-   int numFrames;			//!< The number of animation frames
-   
-   int offsetSkins;			//!< The offset in the file for the skin data
-   int offsetTexCoords;			//!< The offset in the file for the texture data
-   int offsetTriangles;			//!< The offset in the file for the face data
-   int offsetFrames;			//!< The offset in the file for the frames data
-   int offsetGlCommands;		//!< The offset in the file for the gl commands data
-   int offsetEnd;			//!< The end of the file offset
+{
+   int ident;                           //!< This is used to identify the file
+   int version;                         //!< The version number of the file (Must be 8)
+
+   int skinWidth;                       //!< The skin width in pixels
+   int skinHeight;                      //!< The skin height in pixels
+   int frameSize;                       //!< The size in bytes the frames are
+
+   int numSkins;                        //!< The number of skins associated with the model
+   int numVertices;                     //!< The number of vertices (constant for each frame)
+   int numTexCoords;                    //!< The number of texture coordinates
+   int numTriangles;                    //!< The number of faces (polygons)
+   int numGlCommands;                   //!< The number of gl commands
+   int numFrames;                       //!< The number of animation frames
+
+   int offsetSkins;                     //!< The offset in the file for the skin data
+   int offsetTexCoords;                 //!< The offset in the file for the texture data
+   int offsetTriangles;                 //!< The offset in the file for the face data
+   int offsetFrames;                    //!< The offset in the file for the frames data
+   int offsetGlCommands;                //!< The offset in the file for the gl commands data
+   int offsetEnd;                       //!< The end of the file offset
 };
 
@@ -85,10 +85,10 @@
     CROUCH_ATTACK,
     CROUCH_PAIN,
-    CROUCH_DEATH, 
+    CROUCH_DEATH,
     DEATH_FALLBACK,
     DEATH_FALLFORWARD,
     DEATH_FALLBACKSLOW,
     BOOM,
-  
+
     MAX_ANIMATIONS
   };
@@ -113,5 +113,5 @@
 
  public:
-  int                numFrames;             //!< number of frames   
+  int                numFrames;             //!< number of frames
   int                numVertices;           //!< number of vertices
   int                numTriangles;          //!< number of triangles
@@ -125,5 +125,5 @@
   int*               pLightNormals;         //!< pointer to the light normals
 
-  Material*          material;              //!< pointer to the material 
+  Material*          material;              //!< pointer to the material
   float              scaleFactor;           //!< the scale factor of the model, (global)
 };
@@ -136,10 +136,10 @@
   MD2Model(const char* modelFileName, const char* skinFileName = NULL);
   virtual ~MD2Model();
-   
+
   void draw();
-  
+
   void setAnim(int type);
   /**
-     \brief scales the current model 
+     \brief scales the current model
      \param scaleFactor: the factor [0..1] to use for scaling
   */
@@ -151,5 +151,5 @@
 
 private:
-  void animate();  
+  void animate();
   void processLighting();
   void interpolate(sVec3D* verticesList);
@@ -162,7 +162,7 @@
   static sAnim        animationList[21];                //!< the anomation list
 
- private:
   MD2Data*            data;                             //!< the md2 data pointer
 
+ private:
   float               scaleFactor;                      //!< the scale factor (individual)
   sAnimState          animationState;                   //!< animation state of the model
Index: orxonox/trunk/src/subprojects/collision_detection/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4614)
+++ orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4615)
@@ -13,27 +13,28 @@
                   $(MAINSRCDIR)/lib/newmat/libnewmat.a \
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS) \
-		  -lpthread
+                  -lpthread
 
 collision_CPPFLAGS =  -DGUI_MODULE \
-		      $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
+                      $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
 
 collision_SOURCES= ../framework.cc \
-		   collision_detection.cc \
-		   $(MAINSRCDIR)/util/loading/load_param.cc \
-		   $(MAINSRCDIR)/lib/util/substring.cc \		   
-		   $(MAINSRCDIR)/lib/util/ini_parser.cc \
-		   $(MAINSRCDIR)/lib/graphics/light.cc \
-		   $(MAINSRCDIR)/util/state.cc \
-		   $(MAINSRCDIR)/world_entities/camera.cc \
-		   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
-		   $(MAINSRCDIR)/lib/lang/base_object.cc \
-		   $(MAINSRCDIR)/lib/math/vector.cc \
-		   $(MAINSRCDIR)/util/resource_manager.cc \
-		   $(MAINSRCDIR)/lib/graphics/text_engine.cc \
-		   $(MAINSRCDIR)/lib/coord/p_node.cc \
-		   $(MAINSRCDIR)/lib/coord/null_parent.cc \
-		   $(MAINSRCDIR)/lib/gui/gui_gtk.cc \
-		   $(MAINSRCDIR)/lib/newmat/include.h \
-		   $(MAINSRCDIR)/lib/newmat/newmat.h \
-		   $(MAINSRCDIR)/lib/newmat/newmatap.h \
-		   $(MAINSRCDIR)/lib/newmatio.h
+                   collision_detection.cc \
+                   $(MAINSRCDIR)/util/loading/load_param.cc \
+                   $(MAINSRCDIR)/lib/util/substring.cc \
+                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
+                   $(MAINSRCDIR)/lib/graphics/light.cc \
+                   $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc \
+                   $(MAINSRCDIR)/util/state.cc \
+                   $(MAINSRCDIR)/world_entities/camera.cc \
+                   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
+                   $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/math/vector.cc \
+                   $(MAINSRCDIR)/util/resource_manager.cc \
+                   $(MAINSRCDIR)/lib/graphics/text_engine.cc \
+                   $(MAINSRCDIR)/lib/coord/p_node.cc \
+                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
+                   $(MAINSRCDIR)/lib/gui/gui_gtk.cc \
+                   $(MAINSRCDIR)/lib/newmat/include.h \
+                   $(MAINSRCDIR)/lib/newmat/newmat.h \
+                   $(MAINSRCDIR)/lib/newmat/newmatap.h \
+                   $(MAINSRCDIR)/lib/newmatio.h
Index: orxonox/trunk/src/subprojects/collision_detection/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4614)
+++ orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4615)
@@ -55,6 +55,6 @@
 	collision-load_param.$(OBJEXT) collision-substring.$(OBJEXT) \
 	collision-ini_parser.$(OBJEXT) collision-light.$(OBJEXT) \
-	collision-state.$(OBJEXT) collision-camera.$(OBJEXT) \
-	collision-graphics_engine.$(OBJEXT) \
+	collision-md2Model.$(OBJEXT) collision-state.$(OBJEXT) \
+	collision-camera.$(OBJEXT) collision-graphics_engine.$(OBJEXT) \
 	collision-base_object.$(OBJEXT) collision-vector.$(OBJEXT) \
 	collision-resource_manager.$(OBJEXT) \
@@ -83,4 +83,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/collision-light.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-load_param.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/collision-md2Model.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-null_parent.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-p_node.Po \
@@ -221,29 +222,30 @@
                   $(MAINSRCDIR)/lib/newmat/libnewmat.a \
                   $(GTK2_LIBS) $(GTHREAD_LIBS) $(CURL_LIBS) \
-		  -lpthread
+                  -lpthread
 
 collision_CPPFLAGS = -DGUI_MODULE \
-		      $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
+                      $(GTK2_CFLAGS) $(GTHREAD_CFLAGS) $(CURL_CFLAGS) $(MSBITFIELDS)
 
 collision_SOURCES = ../framework.cc \
-		   collision_detection.cc \
-		   $(MAINSRCDIR)/util/loading/load_param.cc \
-		   $(MAINSRCDIR)/lib/util/substring.cc \
-		   $(MAINSRCDIR)/lib/util/ini_parser.cc \
-		   $(MAINSRCDIR)/lib/graphics/light.cc \
-		   $(MAINSRCDIR)/util/state.cc \
-		   $(MAINSRCDIR)/world_entities/camera.cc \
-		   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
-		   $(MAINSRCDIR)/lib/lang/base_object.cc \
-		   $(MAINSRCDIR)/lib/math/vector.cc \
-		   $(MAINSRCDIR)/util/resource_manager.cc \
-		   $(MAINSRCDIR)/lib/graphics/text_engine.cc \
-		   $(MAINSRCDIR)/lib/coord/p_node.cc \
-		   $(MAINSRCDIR)/lib/coord/null_parent.cc \
-		   $(MAINSRCDIR)/lib/gui/gui_gtk.cc \
-		   $(MAINSRCDIR)/lib/newmat/include.h \
-		   $(MAINSRCDIR)/lib/newmat/newmat.h \
-		   $(MAINSRCDIR)/lib/newmat/newmatap.h \
-		   $(MAINSRCDIR)/lib/newmatio.h
+                   collision_detection.cc \
+                   $(MAINSRCDIR)/util/loading/load_param.cc \
+                   $(MAINSRCDIR)/lib/util/substring.cc \
+                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
+                   $(MAINSRCDIR)/lib/graphics/light.cc \
+                   $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc \
+                   $(MAINSRCDIR)/util/state.cc \
+                   $(MAINSRCDIR)/world_entities/camera.cc \
+                   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
+                   $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/math/vector.cc \
+                   $(MAINSRCDIR)/util/resource_manager.cc \
+                   $(MAINSRCDIR)/lib/graphics/text_engine.cc \
+                   $(MAINSRCDIR)/lib/coord/p_node.cc \
+                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
+                   $(MAINSRCDIR)/lib/gui/gui_gtk.cc \
+                   $(MAINSRCDIR)/lib/newmat/include.h \
+                   $(MAINSRCDIR)/lib/newmat/newmat.h \
+                   $(MAINSRCDIR)/lib/newmat/newmatap.h \
+                   $(MAINSRCDIR)/lib/newmatio.h
 
 all: all-am
@@ -322,4 +324,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-light.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-load_param.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-md2Model.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-null_parent.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-p_node.Po@am__quote@
@@ -441,4 +444,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-light.obj `if test -f '$(MAINSRCDIR)/lib/graphics/light.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/light.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/light.cc'; fi`
+
+collision-md2Model.o: $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-md2Model.o -MD -MP -MF "$(DEPDIR)/collision-md2Model.Tpo" -c -o collision-md2Model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-md2Model.Tpo" "$(DEPDIR)/collision-md2Model.Po"; else rm -f "$(DEPDIR)/collision-md2Model.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' object='collision-md2Model.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-md2Model.Po' tmpdepfile='$(DEPDIR)/collision-md2Model.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-md2Model.o `test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
+
+collision-md2Model.obj: $(MAINSRCDIR)/lib/graphics/importer/md2Model.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-md2Model.obj -MD -MP -MF "$(DEPDIR)/collision-md2Model.Tpo" -c -o collision-md2Model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-md2Model.Tpo" "$(DEPDIR)/collision-md2Model.Po"; else rm -f "$(DEPDIR)/collision-md2Model.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc' object='collision-md2Model.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-md2Model.Po' tmpdepfile='$(DEPDIR)/collision-md2Model.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-md2Model.obj `if test -f '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/graphics/importer/md2Model.cc'; fi`
 
 collision-state.o: $(MAINSRCDIR)/util/state.cc
Index: orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4614)
+++ orxonox/trunk/src/subprojects/collision_detection/collision_detection.cc	(revision 4615)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -24,10 +24,16 @@
 #include "cd_engine.h"
 
+#include "md2Model.h"
+
+MD2Model* model;
+
 void Framework::moduleInit(int argc, char** argv)
 {
   CDEngine::getInstance();
-  CDEngine::getInstance()->debug();
-  
+  //CDEngine::getInstance()->debug();
 
+  model = new MD2Model("models/tris.md2", "models/tris.pcx");
+  model->tick(0.1f);
+  CDEngine::getInstance()->debugSpawnTree(1, model->data->pVertices, model->data->numVertices);
 
   LightManager* lightMan = LightManager::getInstance();
@@ -45,8 +51,8 @@
     case SDL_KEYDOWN:
       switch (event->key.keysym.sym)
-	{
-	case SDLK_i:
-	  break;
-	}
+        {
+        case SDLK_i:
+          break;
+        }
     }
 }
@@ -63,4 +69,6 @@
 
   LightManager::getInstance()->draw();
+
+  model->draw();
 }
 
@@ -77,7 +85,7 @@
 {
   Window* guiMainWindow = NULL;
-  
+
   initGUI(0, NULL);
-  
+
   guiMainWindow = new Window("Collision_detection");
   {