Index: orxonox/trunk/config.h.in
===================================================================
--- orxonox/trunk/config.h.in	(revision 4663)
+++ orxonox/trunk/config.h.in	(revision 4664)
@@ -46,4 +46,7 @@
 /* Define to 1 if you have the <OpenGL/gl.h> header file. */
 #undef HAVE_OPENGL_GL_H
+
+/* Define to 1 if you have the <SDL.h> header file. */
+#undef HAVE_SDL_H
 
 /* Define to 1 if you have the <SDL_image.h> header file. */
Index: orxonox/trunk/configure
===================================================================
--- orxonox/trunk/configure	(revision 4663)
+++ orxonox/trunk/configure	(revision 4664)
@@ -5664,5 +5664,11 @@
     fi
 
-# checking for SDL-headers
+# checking for SDL
+  echo "$as_me:$LINENO: checking for SDL-version" >&5
+echo $ECHO_N "checking for SDL-version... $ECHO_C" >&6
+  SDL_VERSION=`sdl-config --version`
+  echo $SDL_VERSION
+
+   CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
 
 for ac_header in SDL/SDL.h
@@ -5812,20 +5818,20 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
-echo "$as_me: error: cannot find SDL headers" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-done
-
-
-# checking for SDL-lib
-    echo "$as_me:$LINENO: checking for main in -lSDL" >&5
-echo $ECHO_N "checking for main in -lSDL... $ECHO_C" >&6
-if test "${ac_cv_lib_SDL_main+set}" = set; then
+
+for ac_header in SDL.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lSDL  $LIBS"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -5834,17 +5840,10 @@
 cat >>conftest.$ac_ext <<_ACEOF
 /* end confdefs.h.  */
-
-
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
   ac_status=$?
   grep -v '^ *+' conftest.er1 >conftest.err
@@ -5860,5 +5859,5 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
+	 { ac_try='test -s conftest.$ac_objext'
   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
@@ -5866,41 +5865,119 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_SDL_main=yes
+  ac_header_compiler=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_SDL_main=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_main" >&5
-echo "${ECHO_T}$ac_cv_lib_SDL_main" >&6
-if test $ac_cv_lib_SDL_main = yes; then
-  FOUND_SDL=yes
-fi
-
-     if test x$FOUND_SDL = xyes ; then
-       LIBS="$LIBS -lSDL"
-     else
-        echo "------------------"
-        echo "SDL library not found."
-        echo "please install the SDL library, which can be found at http://www.libsdl.org"
-        echo "------------------"
-        exit -1
-     fi
-
-
-## checking for SDL
-#    SDL_VERSION=1.2.7
-#    AM_PATH_SDL($SDL_VERSION,
-#      :,
-#      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
-#      )
-#    CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
-#    LIBS="$LIBS $SDL_LIBS"
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
     ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    (
+      cat <<\_ASBOX
+## ---------------------------------------------- ##
+## Report this to orxonox-dev at mail.datacore.ch ##
+## ---------------------------------------------- ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+else
+  { { echo "$as_me:$LINENO: error: cannot find SDL header. please download from libsdl.org" >&5
+echo "$as_me: error: cannot find SDL header. please download from libsdl.org" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+done
+
+fi
+
+done
+
+
+   LIBS="`sdl-config --libs` $LIBS"
+    ;;
+
 #-----------#
 # MAC -OS X #
Index: orxonox/trunk/configure.ac
===================================================================
--- orxonox/trunk/configure.ac	(revision 4663)
+++ orxonox/trunk/configure.ac	(revision 4664)
@@ -328,30 +328,16 @@
     fi
 
-# checking for SDL-headers
-    AC_CHECK_HEADERS([SDL/SDL.h] ,,
-      [AC_MSG_ERROR([cannot find SDL headers]) ])
-
-# checking for SDL-lib
-    AC_CHECK_LIB([SDL], [main], FOUND_SDL=yes)
-     if test x$FOUND_SDL = xyes ; then
-       LIBS="$LIBS -lSDL"
-     else
-        echo "------------------"
-        echo "SDL library not found."
-        echo "please install the SDL library, which can be found at http://www.libsdl.org"
-        echo "------------------"
-        exit -1
-     fi
-
-
-## checking for SDL
-#    SDL_VERSION=1.2.7
-#    AM_PATH_SDL($SDL_VERSION,
-#      :,
-#      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
-#      )
-#    CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
-#    LIBS="$LIBS $SDL_LIBS"
+# checking for SDL
+  AC_MSG_CHECKING([for SDL-version])
+  SDL_VERSION=`sdl-config --version`
+  echo $SDL_VERSION
+
+   CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
+   AC_CHECK_HEADERS([SDL/SDL.h] ,,
+      [AC_CHECK_HEADERS([SDL.h] ,,AC_MSG_ERROR([cannot find SDL header. please download from libsdl.org])]))
+
+   LIBS="`sdl-config --libs` $LIBS"
     ;;
+
 #-----------#
 # MAC -OS X #
Index: orxonox/trunk/src/story_entities/world.cc
===================================================================
--- orxonox/trunk/src/story_entities/world.cc	(revision 4663)
+++ orxonox/trunk/src/story_entities/world.cc	(revision 4664)
@@ -483,5 +483,5 @@
   system->setRadius(1.0, 0.0, .0);
   system->setMass (0.0, 1.0);
-  system->setModel(ResourceManager::getFullName("models/orx-rocket.obj"));
+  //system->setModel(ResourceManager::getFullName("models/orx-rocket.obj"));
 
   system->setColor(0, .5, 0, 0, 1);
@@ -491,5 +491,5 @@
 
   // Creating a Test Particle Emitter
-  ParticleEmitter* emitter = new ParticleEmitter(Vector(-1, 0, 0), M_PI_4, 40, .5);
+  ParticleEmitter* emitter = new ParticleEmitter(Vector(-1, 0, 0), M_PI_4, 400, .5);
   emitter->setType(EMITTER_DOT);
   emitter->setSize(20);