Index: /data/trunk/levels/vertical_scroller.oxw
===================================================================
--- /data/trunk/levels/vertical_scroller.oxw	(revision 4665)
+++ /data/trunk/levels/vertical_scroller.oxw	(revision 4666)
@@ -151,13 +151,23 @@
       <Size>100</Size>
     </Rotor>
-<!--
+
+    <NPC>
+      <name>blubb</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
+      <team>1</team>
+      <swarm>1</swarm>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>3450, 0, 10</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
 
     <NPC>
       <name>Pirate02</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <enableAI>1</enableAI>
       <team>1</team>
       <swarm>1</swarm>
-      <attackDistance>0.5</attackDistance>
+      <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
@@ -169,8 +179,7 @@
       <name>Pirate03</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <enableAI>1</enableAI>
       <team>1</team>
       <swarm>1</swarm>
-      <attackDistance>0.5</attackDistance>
+      <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
@@ -182,8 +191,7 @@
       <name>Pirate04</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <enableAI>1</enableAI>
       <team>1</team>
       <swarm>2</swarm>
-      <attackDistance>0.5</attackDistance>
+      <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
@@ -195,8 +203,7 @@
       <name>Pirate05</name>
       <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <enableAI>1</enableAI>
       <team>1</team>
       <swarm>2</swarm>
-      <attackDistance>0.5</attackDistance>
+      <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
@@ -204,26 +211,23 @@
       <abs-dir> 3.14,0,1,0 </abs-dir>
     </NPC>
--->
-
-    <NPC>
-      <name>Pirate05</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <enableAI>1</enableAI>
+
+    <NPC>
+      <name>Pirate06</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
       <team>2</team>
       <swarm>2</swarm>
-      <attackDistance>0.5</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>5000, 0, 10</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate06</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <enableAI>1</enableAI>
+      <attackDistance>60</attackDistance>
+      <maxSpeed>500</maxSpeed>
+      <Weapons>HeavyBlaster</Weapons>
+      <abs-coor>4960, 0, 0</abs-coor>
+      <abs-dir> 3.14,0,1,0 </abs-dir>
+    </NPC>
+
+    <NPC>
+      <name>Pirate07</name>
+      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
       <team>2</team>
       <swarm>2</swarm>
-      <attackDistance>0.5</attackDistance>
+      <attackDistance>60</attackDistance>
       <maxSpeed>500</maxSpeed>
       <Weapons>HeavyBlaster</Weapons>
@@ -255,4 +259,5 @@
       <abs-coor>0,0,0</abs-coor>
       <playmode>Horizontal</playmode>
+      <actionWidthPercentage>70</actionWidthPercentage>
      <drawTrack>1</drawTrack>
       <Track>
@@ -267,4 +272,5 @@
         <addPoint>6000,0,0</addPoint>
         <addPoint>7000,0,-200</addPoint>
+        <addPoint>7500,0,-700</addPoint>
       </Track>
     </SpaceShip>
Index: /data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4665)
+++ /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4666)
@@ -3,4 +3,12 @@
 thisscript:addObject("CameraMan", "cameraManager")
 thisscript:addObject("NPC", "Ragnar01")
+thisscript:addObject("NPC", "Pirate01")
+thisscript:addObject("NPC", "Pirate02")
+thisscript:addObject("NPC", "Pirate03")
+thisscript:addObject("NPC", "Pirate04")
+thisscript:addObject("NPC", "Pirate05")
+thisscript:addObject("NPC", "Pirate06")
+thisscript:addObject("NPC", "Pirate07")
+-- thisscript:addObject("NPC", "Pirate08")
 -- thisscript:addObjectAsName("GameWorld", "Mission 1", "gameWorld")
 
@@ -35,4 +43,24 @@
 triggerRagnar:setDebugDraw(true)
 triggerRagnar:setActiveOnCreation(false)
+
+-- Create a great AI activater
+triggerAI01 = ScriptTrigger()
+triggerAI01:setScript("vs1.lua")
+triggerAI01:setFunction("activateGroup1")
+triggerAI01:setRadius(50)
+triggerAI01:setTarget("Player")
+triggerAI01:setAbsCoor(2600, 0, 15)
+triggerAI01:setDebugDraw(true)
+triggerAI01:setActiveOnCreation(false)
+
+-- Create another great AI activater
+triggerAI02 = ScriptTrigger()
+triggerAI02:setScript("vs1.lua")
+triggerAI02:setFunction("activateGroup2")
+triggerAI02:setRadius(50)
+triggerAI02:setTarget("Player")
+triggerAI02:setAbsCoor(4900, 0, 50)
+triggerAI02:setDebugDraw(true)
+triggerAI02:setActiveOnCreation(false)
 
 -- Global Variables
@@ -69,10 +97,10 @@
 end
 
-if counter > 6 and counter < 7 then
+if counter > 5 and counter < 6 then
 cameraManager:atachCameraToWorldEntity("CameraOne", "NPC", "Pirate03")
 cameraManager:setRelCoorSoft("CameraOne", 8, 4 , 3.3, 5)
 end
 
-if counter > 17 then
+if counter > 14 then
 cutsceneEnd = true
 cameraManager:setCam("GameWorld-Camera")
@@ -89,2 +117,21 @@
 return true
 end
+
+function activateGroup1(timestep)
+
+Pirate01:setAI(true)
+Pirate02:setAI(true)
+Pirate03:setAI(true)
+
+return true
+end
+
+function activateGroup2(timestep)
+
+Pirate04:setAI(true)
+Pirate05:setAI(true)
+Pirate06:setAI(true)
+
+return true
+end
+