Index: data/trunk/scripts/spacestation/spaceship_hangar.lua
===================================================================
--- data/trunk/scripts/spacestation/spaceship_hangar.lua	(revision 4659)
+++ data/trunk/scripts/spacestation/spaceship_hangar.lua	(revision 4671)
@@ -1,27 +1,64 @@
  -- Create the trigger
---trigger = ScriptTrigger()
---trigger:setName("maintrigger")
---trigger:setScript("spaceship_hangar.lua")
---trigger:setFunction("tick")
---trigger:setActiveOnCreation(true)
+trigger = ScriptTrigger()
+trigger:setName("maintrigger")
+trigger:setScript("spaceship_hangar.lua")
+trigger:setFunction("tick")
+trigger:setActiveOnCreation(true)
  
-
--- Cameraswitchzero
 triggerZero = ScriptTrigger()
 triggerZero:setScript("spaceship_hangar.lua")
-triggerZero:setFunction("switchToVertical")
-triggerZero:setAbsCoor(5214.267090, 21.617924, -4482.451660)
+triggerZero:setFunction("startQuestThree")
+triggerZero:setAbsCoor(3211.242188, 62.026615, -4471.773926)
 triggerZero:setTarget("Player")
-triggerZero:setRadius(50)
+triggerZero:setRadius(140)
 --triggerZero:setDebugDraw(true)
 
-thisscript:addObjectAsName("GameWorld", "Space Station 1B", "gameWorld")
 
 
-function switchToVertical(timestep)
+triggerOne = ScriptTrigger()
+triggerOne:setScript("spaceship_hangar.lua")
+triggerOne:setFunction("startQuestTwo")
+triggerOne:setAbsCoor(3454.067383, 58.026615, -4117.536133)
+triggerOne:setTarget("Player")
+triggerOne:setRadius(140)
+
+
+thisscript:addObjectAsName("GameWorld", "Space Station 1B", "gameWorld")
+thisscript:addObject("QuestGUI", "First_Quest")
+thisscript:addObject("QuestGUI", "Second_Quest")
+thisscript:addObject("QuestGUI", "Third_Quest")
+
+firstQuestShowed = false
+
+function switchToVertical()
 if gameWorld:setNextStoryName( "Mission 1" ) then
 gameWorld:stop()
 end
+
+end
+
+function startQuestTwo(timestep)
+Second_Quest:startGUI()
 return true
 end
 
+function startQuestThree(timestep)
+Third_Quest:startGUI()
+return true
+end
+
+
+
+function tick(timestep)
+
+if not firstQuestShowed then
+First_Quest:startGUI()
+firstQuestShowed = true
+end
+
+if Third_Quest:isActive() then
+switchToVertical()
+end
+
+return false
+end
Index: data/trunk/scripts/spacestation/spaceship_tower.lua
===================================================================
--- data/trunk/scripts/spacestation/spaceship_tower.lua	(revision 4659)
+++ data/trunk/scripts/spacestation/spaceship_tower.lua	(revision 4671)
@@ -14,4 +14,11 @@
 --triggerOne:setDebugDraw(true)
 
+triggerTwo = ScriptTrigger()
+triggerTwo:setScript("spaceship_tower.lua")
+triggerTwo:setFunction("startThirdQuest")
+triggerTwo:setTarget("Player")
+triggerTwo:setTriggerParent("panicGuy")
+triggerTwo:setRadius(70)
+--triggerTwo:setDebugDraw(true)
 
 -- Get objects from orxonox
@@ -19,6 +26,8 @@
 thisscript:addObject("GenericNPC", "pedestrianOne")
 thisscript:addObject("GenericNPC", "hangarguyOne")
+thisscript:addObject("GenericNPC", "panicGuy")
 thisscript:addObject("QuestGUI", "First_Quest")
 thisscript:addObject("QuestGUI", "Second_Quest")
+thisscript:addObject("QuestGUI", "Third_Quest")
 
 
@@ -27,5 +36,6 @@
 -- Globals
 questOneStarted = false
-
+barReached = false
+runProg = true
 
 -- pedestrian
@@ -166,11 +176,41 @@
 
 
+-- pedestrian
+panic = { }
+--{
+ function panic:tick(timestep)
+
+  if runProg and Player:getAbsCoorX() < 700 then
+  panicGuy:setVisibility(true)
+  panicGuy:runTo( 532.556641, 21.618149, 121.871323 )
+  panicGuy:runTo( 544.452026, 21.618143, 50.025143 )
+ 
+  runProg = false
+end
+
+ end
+
+--}
+
+
+
 function startSecondQuest(timestep)
-
 if First_Quest:isActive() then
 Second_Quest:startGUI()
-end
-
 return true
+end
+
+return false
+end
+
+
+function startThirdQuest(timestep)
+
+if barReached then
+Third_Quest:startGUI()
+return true
+end
+
+return false
 end
 
@@ -182,12 +222,21 @@
 
 if not questOneStarted then
+panicGuy:setVisibility(false)
 First_Quest:startGUI()
 questOneStarted = true
 end
 
+if Player:getAbsCoorX() > 800 then
+barReached = true
+end
+
+if barReached then
+panic:tick(timestep)
+end
 
 pedestrian:tick(timestep)
 hangarguy:tick(timestep)
 
+
 return false
 end