Index: orxonox/trunk/src/subprojects/particles/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4723)
+++ orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4725)
@@ -33,4 +33,5 @@
                    $(MAINSRCDIR)/lib/util/substring.cc \
                    $(MAINSRCDIR)/util/loading/load_param.cc \
+                   $(MAINSRCDIR)/util/loading/factory.cc \
                    $(MAINSRCDIR)/lib/util/ini_parser.cc
 
Index: orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4723)
+++ orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4725)
@@ -61,5 +61,5 @@
 	particles-null_parent.$(OBJEXT) particles-gui_gtk.$(OBJEXT) \
 	particles-substring.$(OBJEXT) particles-load_param.$(OBJEXT) \
-	particles-ini_parser.$(OBJEXT)
+	particles-factory.$(OBJEXT) particles-ini_parser.$(OBJEXT)
 particles_OBJECTS = $(am_particles_OBJECTS)
 am__DEPENDENCIES_1 =
@@ -77,4 +77,5 @@
 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/particles-base_object.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-camera.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/particles-factory.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-framework.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-graphics_engine.Po \
@@ -239,4 +240,5 @@
                    $(MAINSRCDIR)/lib/util/substring.cc \
                    $(MAINSRCDIR)/util/loading/load_param.cc \
+                   $(MAINSRCDIR)/util/loading/factory.cc \
                    $(MAINSRCDIR)/lib/util/ini_parser.cc
 
@@ -309,4 +311,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-base_object.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-camera.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-factory.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-framework.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-graphics_engine.Po@am__quote@
@@ -596,4 +599,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-load_param.obj `if test -f '$(MAINSRCDIR)/util/loading/load_param.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/load_param.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/load_param.cc'; fi`
+
+particles-factory.o: $(MAINSRCDIR)/util/loading/factory.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-factory.o -MD -MP -MF "$(DEPDIR)/particles-factory.Tpo" -c -o particles-factory.o `test -f '$(MAINSRCDIR)/util/loading/factory.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/factory.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-factory.Tpo" "$(DEPDIR)/particles-factory.Po"; else rm -f "$(DEPDIR)/particles-factory.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/factory.cc' object='particles-factory.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-factory.Po' tmpdepfile='$(DEPDIR)/particles-factory.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-factory.o `test -f '$(MAINSRCDIR)/util/loading/factory.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/factory.cc
+
+particles-factory.obj: $(MAINSRCDIR)/util/loading/factory.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-factory.obj -MD -MP -MF "$(DEPDIR)/particles-factory.Tpo" -c -o particles-factory.obj `if test -f '$(MAINSRCDIR)/util/loading/factory.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/factory.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/factory.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-factory.Tpo" "$(DEPDIR)/particles-factory.Po"; else rm -f "$(DEPDIR)/particles-factory.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/factory.cc' object='particles-factory.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-factory.Po' tmpdepfile='$(DEPDIR)/particles-factory.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-factory.obj `if test -f '$(MAINSRCDIR)/util/loading/factory.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/factory.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/factory.cc'; fi`
 
 particles-ini_parser.o: $(MAINSRCDIR)/lib/util/ini_parser.cc