Index: orxonox/trunk/src/subprojects/collision_detection/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4726)
+++ orxonox/trunk/src/subprojects/collision_detection/Makefile.am	(revision 4728)
@@ -39,51 +39,5 @@
                    $(MAINSRCDIR)/util/animation/animation_player.cc \
                    $(MAINSRCDIR)/util/animation/animation3d.cc \
+                   $(MAINSRCDIR)/util/loading/factory.cc \
                    $(MAINSRCDIR)/world_entities/world_entity.cc
 
-#$(MAINSRCDIR)/util/loading/load_param.cc
-
-
-
-#                   $(MAINSRCDIR)/util/loading/game_loader.cc \
-#                   $(MAINSRCDIR)/util/track/track_manager.cc \
-#                   $(MAINSRCDIR)/util/track/track_node.cc \
-#                   $(MAINSRCDIR)/util/track/pilot_node.cc \
-#                   $(MAINSRCDIR)/util/animation/animation.cc \
-#                   $(MAINSRCDIR)/util/animation/animation3d.cc \
-#                   $(MAINSRCDIR)/util/animation/animation_player.cc \
-#                   $(MAINSRCDIR)/util/object_manager.cc \
-#                   $(MAINSRCDIR)/util/garbage_collector.cc \
-#                   $(MAINSRCDIR)/util/resource_manager.cc \
-#                   $(MAINSRCDIR)/util/loading/factory.cc \
-#                   $(MAINSRCDIR)/util/loading/load_param.cc \
-#                   $(MAINSRCDIR)/util/state.cc \
-#                   $(MAINSRCDIR)/world_entities/world_entity.cc \
-#                   $(MAINSRCDIR)/world_entities/camera.cc \
-#                   $(MAINSRCDIR)/world_entities/player.cc \
-#                   $(MAINSRCDIR)/world_entities/environment.cc \
-#                   $(MAINSRCDIR)/world_entities/skysphere.cc \
-#                   $(MAINSRCDIR)/world_entities/skybox.cc \
-#                   $(MAINSRCDIR)/world_entities/terrain.cc \
-#                   $(MAINSRCDIR)/world_entities/weapon.cc \
-#                   $(MAINSRCDIR)/world_entities/projectile.cc \
-#                   $(MAINSRCDIR)/world_entities/satellite.cc \
-#                   $(MAINSRCDIR)/world_entities/character_attributes.cc \
-#                   $(MAINSRCDIR)/world_entities/test_gun.cc \
-#                   $(MAINSRCDIR)/world_entities/test_bullet.cc \
-#                   $(MAINSRCDIR)/world_entities/test_entity.cc \
-#                   $(MAINSRCDIR)/lib/coord/p_node.cc \
-#                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
-#                   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
-#                   $(MAINSRCDIR)/lib/graphics/light.cc \
-#                   $(MAINSRCDIR)/lib/graphics/text_engine.cc \
-#                   $(MAINSRCDIR)/lib/lang/base_object.cc \
-#                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
-#                   $(MAINSRCDIR)/lib/util/substring.cc \
-#                   $(MAINSRCDIR)/lib/math/vector.cc \
-#                   $(MAINSRCDIR)/lib/math/curve.cc \
-#                   $(MAINSRCDIR)/glmenu/glmenu_imagescreen.cc \
-#                   $(MAINSRCDIR)/subprojects/benchmark.cc
-
-
-
-
Index: orxonox/trunk/src/subprojects/collision_detection/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4726)
+++ orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4728)
@@ -63,5 +63,5 @@
 	collision-environment.$(OBJEXT) collision-animation.$(OBJEXT) \
 	collision-animation_player.$(OBJEXT) \
-	collision-animation3d.$(OBJEXT) \
+	collision-animation3d.$(OBJEXT) collision-factory.$(OBJEXT) \
 	collision-world_entity.$(OBJEXT)
 collision_OBJECTS = $(am_collision_OBJECTS)
@@ -84,4 +84,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/collision-collision_detection.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-environment.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/collision-factory.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-framework.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/collision-graphics_engine.Po \
@@ -250,4 +251,5 @@
                    $(MAINSRCDIR)/util/animation/animation_player.cc \
                    $(MAINSRCDIR)/util/animation/animation3d.cc \
+                   $(MAINSRCDIR)/util/loading/factory.cc \
                    $(MAINSRCDIR)/world_entities/world_entity.cc
 
@@ -325,4 +327,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-collision_detection.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-environment.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-factory.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-framework.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/collision-graphics_engine.Po@am__quote@
@@ -692,4 +695,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-animation3d.obj `if test -f '$(MAINSRCDIR)/util/animation/animation3d.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/animation/animation3d.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/animation/animation3d.cc'; fi`
+
+collision-factory.o: $(MAINSRCDIR)/util/loading/factory.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-factory.o -MD -MP -MF "$(DEPDIR)/collision-factory.Tpo" -c -o collision-factory.o `test -f '$(MAINSRCDIR)/util/loading/factory.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/factory.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-factory.Tpo" "$(DEPDIR)/collision-factory.Po"; else rm -f "$(DEPDIR)/collision-factory.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/factory.cc' object='collision-factory.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-factory.Po' tmpdepfile='$(DEPDIR)/collision-factory.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-factory.o `test -f '$(MAINSRCDIR)/util/loading/factory.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/factory.cc
+
+collision-factory.obj: $(MAINSRCDIR)/util/loading/factory.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT collision-factory.obj -MD -MP -MF "$(DEPDIR)/collision-factory.Tpo" -c -o collision-factory.obj `if test -f '$(MAINSRCDIR)/util/loading/factory.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/factory.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/factory.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/collision-factory.Tpo" "$(DEPDIR)/collision-factory.Po"; else rm -f "$(DEPDIR)/collision-factory.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/factory.cc' object='collision-factory.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/collision-factory.Po' tmpdepfile='$(DEPDIR)/collision-factory.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(collision_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o collision-factory.obj `if test -f '$(MAINSRCDIR)/util/loading/factory.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/factory.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/factory.cc'; fi`
 
 collision-world_entity.o: $(MAINSRCDIR)/world_entities/world_entity.cc
@@ -877,46 +896,4 @@
 
 include $(MAINSRCDIR)/defs/include_paths.am
-
-#$(MAINSRCDIR)/util/loading/load_param.cc
-
-#                   $(MAINSRCDIR)/util/loading/game_loader.cc \
-#                   $(MAINSRCDIR)/util/track/track_manager.cc \
-#                   $(MAINSRCDIR)/util/track/track_node.cc \
-#                   $(MAINSRCDIR)/util/track/pilot_node.cc \
-#                   $(MAINSRCDIR)/util/animation/animation.cc \
-#                   $(MAINSRCDIR)/util/animation/animation3d.cc \
-#                   $(MAINSRCDIR)/util/animation/animation_player.cc \
-#                   $(MAINSRCDIR)/util/object_manager.cc \
-#                   $(MAINSRCDIR)/util/garbage_collector.cc \
-#                   $(MAINSRCDIR)/util/resource_manager.cc \
-#                   $(MAINSRCDIR)/util/loading/factory.cc \
-#                   $(MAINSRCDIR)/util/loading/load_param.cc \
-#                   $(MAINSRCDIR)/util/state.cc \
-#                   $(MAINSRCDIR)/world_entities/world_entity.cc \
-#                   $(MAINSRCDIR)/world_entities/camera.cc \
-#                   $(MAINSRCDIR)/world_entities/player.cc \
-#                   $(MAINSRCDIR)/world_entities/environment.cc \
-#                   $(MAINSRCDIR)/world_entities/skysphere.cc \
-#                   $(MAINSRCDIR)/world_entities/skybox.cc \
-#                   $(MAINSRCDIR)/world_entities/terrain.cc \
-#                   $(MAINSRCDIR)/world_entities/weapon.cc \
-#                   $(MAINSRCDIR)/world_entities/projectile.cc \
-#                   $(MAINSRCDIR)/world_entities/satellite.cc \
-#                   $(MAINSRCDIR)/world_entities/character_attributes.cc \
-#                   $(MAINSRCDIR)/world_entities/test_gun.cc \
-#                   $(MAINSRCDIR)/world_entities/test_bullet.cc \
-#                   $(MAINSRCDIR)/world_entities/test_entity.cc \
-#                   $(MAINSRCDIR)/lib/coord/p_node.cc \
-#                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
-#                   $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
-#                   $(MAINSRCDIR)/lib/graphics/light.cc \
-#                   $(MAINSRCDIR)/lib/graphics/text_engine.cc \
-#                   $(MAINSRCDIR)/lib/lang/base_object.cc \
-#                   $(MAINSRCDIR)/lib/util/ini_parser.cc \
-#                   $(MAINSRCDIR)/lib/util/substring.cc \
-#                   $(MAINSRCDIR)/lib/math/vector.cc \
-#                   $(MAINSRCDIR)/lib/math/curve.cc \
-#                   $(MAINSRCDIR)/glmenu/glmenu_imagescreen.cc \
-#                   $(MAINSRCDIR)/subprojects/benchmark.cc
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.