Index: orxonox/trunk/src/subprojects/importer/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 4728)
+++ orxonox/trunk/src/subprojects/importer/Makefile.am	(revision 4739)
@@ -27,3 +27,4 @@
                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
                   $(MAINSRCDIR)/util/loading/load_param.cc \
-                  $(MAINSRCDIR)/lib/util/substring.cc
+                  $(MAINSRCDIR)/lib/util/substring.cc \
+                  $(MAINSRCDIR)/util/loading/factory.cc
Index: orxonox/trunk/src/subprojects/importer/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4728)
+++ orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4739)
@@ -59,5 +59,6 @@
 	importer-ini_parser.$(OBJEXT) importer-text_engine.$(OBJEXT) \
 	importer-p_node.$(OBJEXT) importer-null_parent.$(OBJEXT) \
-	importer-load_param.$(OBJEXT) importer-substring.$(OBJEXT)
+	importer-load_param.$(OBJEXT) importer-substring.$(OBJEXT) \
+	importer-factory.$(OBJEXT)
 importer_OBJECTS = $(am_importer_OBJECTS)
 importer_DEPENDENCIES = $(MAINSRCDIR)/lib/event/libORXevent.a \
@@ -70,4 +71,5 @@
 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/importer-base_object.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-camera.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/importer-factory.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-framework.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/importer-graphics_engine.Po \
@@ -223,5 +225,6 @@
                   $(MAINSRCDIR)/lib/coord/null_parent.cc \
                   $(MAINSRCDIR)/util/loading/load_param.cc \
-                  $(MAINSRCDIR)/lib/util/substring.cc
+                  $(MAINSRCDIR)/lib/util/substring.cc \
+                  $(MAINSRCDIR)/util/loading/factory.cc
 
 all: all-am
@@ -293,4 +296,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-base_object.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-camera.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-factory.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-framework.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/importer-graphics_engine.Po@am__quote@
@@ -562,4 +566,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-substring.obj `if test -f '$(MAINSRCDIR)/lib/util/substring.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/substring.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/substring.cc'; fi`
+
+importer-factory.o: $(MAINSRCDIR)/util/loading/factory.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-factory.o -MD -MP -MF "$(DEPDIR)/importer-factory.Tpo" -c -o importer-factory.o `test -f '$(MAINSRCDIR)/util/loading/factory.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/factory.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-factory.Tpo" "$(DEPDIR)/importer-factory.Po"; else rm -f "$(DEPDIR)/importer-factory.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/factory.cc' object='importer-factory.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-factory.Po' tmpdepfile='$(DEPDIR)/importer-factory.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-factory.o `test -f '$(MAINSRCDIR)/util/loading/factory.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/util/loading/factory.cc
+
+importer-factory.obj: $(MAINSRCDIR)/util/loading/factory.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT importer-factory.obj -MD -MP -MF "$(DEPDIR)/importer-factory.Tpo" -c -o importer-factory.obj `if test -f '$(MAINSRCDIR)/util/loading/factory.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/factory.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/factory.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/importer-factory.Tpo" "$(DEPDIR)/importer-factory.Po"; else rm -f "$(DEPDIR)/importer-factory.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/util/loading/factory.cc' object='importer-factory.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/importer-factory.Po' tmpdepfile='$(DEPDIR)/importer-factory.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(importer_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o importer-factory.obj `if test -f '$(MAINSRCDIR)/util/loading/factory.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/factory.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/factory.cc'; fi`
 uninstall-info-am:
 
Index: orxonox/trunk/src/subprojects/importer/importer.cc
===================================================================
--- orxonox/trunk/src/subprojects/importer/importer.cc	(revision 4728)
+++ orxonox/trunk/src/subprojects/importer/importer.cc	(revision 4739)
@@ -50,14 +50,9 @@
   LightManager* lightMan = LightManager::getInstance();
   lightMan->setAmbientColor(.1,.1,.1);
-  lightMan->addLight();
-  //  lightMan->setAttenuation(1.0, .01, 0.0);
-  //  lightMan->setDiffuseColor(1,1,1);
-  //  lightMan->addLight(1);
-  //  lightMan->setPosition(20, 10, -20);
-  //  lightMan->setDiffuseColor(0,0,0);
-  //  lightMan->debug();
-  lightMan->setPosition(5.0, 10.0, 40.0);
-  lightMan->addLight();
-  lightMan->setPosition(-10, -20, -100);
+  new Light();
+
+  lightMan->getLight()->setAbsCoor(5.0, 10.0, 40.0);
+  new Light();
+  lightMan->getLight()->setAbsCoor(-10, -20, -100);
 }
 