Index: orxonox/trunk/src/util/track/track_manager.cc
===================================================================
--- orxonox/trunk/src/util/track/track_manager.cc	(revision 4597)
+++ orxonox/trunk/src/util/track/track_manager.cc	(revision 4746)
@@ -38,5 +38,5 @@
    \brief initializes a TrackElement (sets the default values)
 */
-TrackElement::TrackElement(void)
+TrackElement::TrackElement()
 {
   this->setClassID(CL_TRACK_ELEMENT, "TrackElement");
@@ -69,5 +69,5 @@
     \todo eventually when deleting a TrackElement you would not like to delete all its preceding TrackElements
 */
-TrackElement::~TrackElement(void)
+TrackElement::~TrackElement()
 {
   // deleting the Curve
@@ -152,5 +152,5 @@
    You actually have to act on false!!
 */
-bool TrackElement::backLoopCheck(void) const
+bool TrackElement::backLoopCheck() const
 {
   tList<const TrackElement>* trackList = new tList<const TrackElement>;
@@ -216,5 +216,5 @@
    \brief prints out debug information about this TrackElement
 */
-void TrackElement::debug(void) const
+void TrackElement::debug() const
 {
   PRINT(0)("--== TrackElement:%i ==--", this->ID);
@@ -357,5 +357,5 @@
 
 */
-TrackManager::TrackManager(void)
+TrackManager::TrackManager()
 {
   this->setClassID(CL_TRACK_MANAGER, "TrackManager");
@@ -456,5 +456,5 @@
    \brief standard destructor
 */
-TrackManager::~TrackManager(void)
+TrackManager::~TrackManager()
 {
   PRINTF(3)("Destruct TrackManager\n");
@@ -997,5 +997,5 @@
    \todo check for any inconsistencies, output errors
 */
-void TrackManager::finalize(void)
+void TrackManager::finalize()
 {
   for (int i = 1; i<= trackElemCount ;i++)
@@ -1061,5 +1061,5 @@
    \returns the current Width of the track
 */
-float TrackManager::getWidth(void) const
+float TrackManager::getWidth() const
 {
   return this->currentTrackElem->width;
@@ -1152,5 +1152,5 @@
    \returns the main TrackNode
 */
-PNode* TrackManager::getTrackNode(void)
+PNode* TrackManager::getTrackNode()
 {
   return this->trackNode;
Index: orxonox/trunk/src/util/track/track_manager.h
===================================================================
--- orxonox/trunk/src/util/track/track_manager.h	(revision 4597)
+++ orxonox/trunk/src/util/track/track_manager.h	(revision 4746)
@@ -43,10 +43,10 @@
 {
  public:
-  TrackElement(void);
-  ~TrackElement(void);
+  TrackElement();
+  ~TrackElement();
 
   TrackElement* findByID(unsigned int trackID);
   TrackElement* findByName(const char* trackName);
-  bool backLoopCheck(void) const;
+  bool backLoopCheck() const;
 
   TrackElement* getChild(int childNumber) const;
@@ -78,5 +78,5 @@
   TrackElement* history;     //!< a pointer to the last TrackElement we were on. This is if you want to walk the path backwards again.
 
-  void debug(void) const;
+  void debug() const;
 
   // CONDITION FUNCTIONS and STUFF
@@ -135,7 +135,7 @@
 {
  public:
-  virtual ~TrackManager(void);
+  virtual ~TrackManager();
   /** \returns a Pointer to the only object of this Class */
-  inline static TrackManager* getInstance(void) { if (!singletonRef) singletonRef = new TrackManager();  return singletonRef; };
+  inline static TrackManager* getInstance() { if (!singletonRef) singletonRef = new TrackManager();  return singletonRef; };
 
   bool loadParams(TiXmlElement* root);
@@ -166,10 +166,10 @@
   void joinS(unsigned int cound, ...);
   void joinV(unsigned int count, int* trackIDs);
-  void finalize(void);
+  void finalize();
 
   // Methods to calculate the position on the Path (runtime)
-  inline Vector calcPos(void) const;
-  inline Vector calcDir(void) const;
-  float getWidth(void) const;
+  inline Vector calcPos() const;
+  inline Vector calcDir() const;
+  float getWidth() const;
   void tick(float dt);
   void jumpTo(float time);
@@ -177,5 +177,5 @@
 
   void setBindSlave(PNode* bindSlave);
-  PNode* getTrackNode(void);
+  PNode* getTrackNode();
 
   // DEBUG //
@@ -184,5 +184,5 @@
 
  private:
-  TrackManager(void);
+  TrackManager();
   void initChildren(unsigned int childCount, TrackElement* trackElem = NULL);
 