Index: orxonox/trunk/src/subprojects/particles/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4741)
+++ orxonox/trunk/src/subprojects/particles/Makefile.am	(revision 4751)
@@ -25,4 +25,5 @@
                    $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
                    $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/lang/class_list.cc \
                    $(MAINSRCDIR)/lib/math/vector.cc \
                    $(MAINSRCDIR)/util/resource_manager.cc \
Index: orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4741)
+++ orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4751)
@@ -56,5 +56,6 @@
 	particles-world_entity.$(OBJEXT) \
 	particles-graphics_engine.$(OBJEXT) \
-	particles-base_object.$(OBJEXT) particles-vector.$(OBJEXT) \
+	particles-base_object.$(OBJEXT) particles-class_list.$(OBJEXT) \
+	particles-vector.$(OBJEXT) \
 	particles-resource_manager.$(OBJEXT) \
 	particles-text_engine.$(OBJEXT) particles-p_node.$(OBJEXT) \
@@ -77,4 +78,5 @@
 @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/particles-base_object.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-camera.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/particles-class_list.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-factory.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/particles-framework.Po \
@@ -232,4 +234,5 @@
                    $(MAINSRCDIR)/lib/graphics/graphics_engine.cc \
                    $(MAINSRCDIR)/lib/lang/base_object.cc \
+                   $(MAINSRCDIR)/lib/lang/class_list.cc \
                    $(MAINSRCDIR)/lib/math/vector.cc \
                    $(MAINSRCDIR)/util/resource_manager.cc \
@@ -311,4 +314,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-base_object.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-camera.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-class_list.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-factory.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/particles-framework.Po@am__quote@
@@ -471,4 +475,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-base_object.obj `if test -f '$(MAINSRCDIR)/lib/lang/base_object.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/base_object.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/base_object.cc'; fi`
+
+particles-class_list.o: $(MAINSRCDIR)/lib/lang/class_list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-class_list.o -MD -MP -MF "$(DEPDIR)/particles-class_list.Tpo" -c -o particles-class_list.o `test -f '$(MAINSRCDIR)/lib/lang/class_list.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/lang/class_list.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-class_list.Tpo" "$(DEPDIR)/particles-class_list.Po"; else rm -f "$(DEPDIR)/particles-class_list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/lang/class_list.cc' object='particles-class_list.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-class_list.Po' tmpdepfile='$(DEPDIR)/particles-class_list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-class_list.o `test -f '$(MAINSRCDIR)/lib/lang/class_list.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/lang/class_list.cc
+
+particles-class_list.obj: $(MAINSRCDIR)/lib/lang/class_list.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT particles-class_list.obj -MD -MP -MF "$(DEPDIR)/particles-class_list.Tpo" -c -o particles-class_list.obj `if test -f '$(MAINSRCDIR)/lib/lang/class_list.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/class_list.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/class_list.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/particles-class_list.Tpo" "$(DEPDIR)/particles-class_list.Po"; else rm -f "$(DEPDIR)/particles-class_list.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/lang/class_list.cc' object='particles-class_list.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/particles-class_list.Po' tmpdepfile='$(DEPDIR)/particles-class_list.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(particles_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o particles-class_list.obj `if test -f '$(MAINSRCDIR)/lib/lang/class_list.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/lang/class_list.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/lang/class_list.cc'; fi`
 
 particles-vector.o: $(MAINSRCDIR)/lib/math/vector.cc