Index: data/trunk/scripts/cutscene/cutscene.lua
===================================================================
--- data/trunk/scripts/cutscene/cutscene.lua	(revision 4763)
+++ data/trunk/scripts/cutscene/cutscene.lua	(revision 4765)
@@ -1,11 +1,11 @@
 -- Main trigger
-trigger = ScriptTrigger()                     -- Create the trigger
+trigger = TickTrigger()                     -- Create the trigger
 trigger:setScript("cutscene.lua")             -- Tell the trigger which script to call
 trigger:setFunction("tick")                   -- Tell the trigger which scriptfunction to call
-trigger:setActiveOnCreation(true)      
+ 
 
 
 -- Cameraswitchzero
-triggerZero = ScriptTrigger()
+triggerZero = SpaceTrigger()
 triggerZero:setScript("cutscene.lua")
 triggerZero:setFunction("switchCamToBomber")
@@ -17,5 +17,5 @@
 
 -- Cameraswitchone
-triggerOne = ScriptTrigger()
+triggerOne = SpaceTrigger()
 triggerOne:setScript("cutscene.lua")
 triggerOne:setFunction("switchCamTargetToEarth")
@@ -27,5 +27,5 @@
 
 -- Cameraswitchtwo
-triggerTwo = ScriptTrigger()
+triggerTwo = SpaceTrigger()
 triggerTwo:setScript("cutscene.lua")
 triggerTwo:setFunction("switchCamToSpaceship")
@@ -36,5 +36,5 @@
 
 -- Cameraswitchthree
-triggerThree = ScriptTrigger()
+triggerThree = SpaceTrigger()
 triggerThree:setScript("cutscene.lua")
 triggerThree:setFunction("switchCamToStation")
@@ -46,5 +46,5 @@
 
 -- startScenery
-triggerFour = ScriptTrigger()
+triggerFour = SpaceTrigger()
 triggerFour:setScript("cutscene.lua")
 triggerFour:setFunction("startSceneryOne")
@@ -53,4 +53,10 @@
 triggerFour:setRadius(5)
 --triggerFour:setDebugDraw(true)  
+
+-- Scroller
+triggerScr = TimeTrigger()                  
+triggerScr:setScript("cutscene.lua")             
+triggerScr:setFunction("startScrolling")
+triggerScr:setDelay(10)
 
 
@@ -104,5 +110,4 @@
 end
 
-
 -- Start
 function startSceneryOne(timestep)
@@ -158,10 +163,15 @@
 fighterThree:pause(true)
 bomberThree:pause(true)
-bomberFour:pause(false)
-
-return true
-
-end
-
+bomberFour:pause(true)
+
+return true
+
+end
+
+-- Start the scrolling screen
+function startScrolling(timestep)
+scrollingScreen:start()
+return true
+end
 
 -- THE tick function
@@ -169,4 +179,5 @@
 function tick(timestep)
 time = time + timestep
+triggerScr:start()
 
 if not sceneryOneStopped then
@@ -204,9 +215,4 @@
 end
 
-if time > 10 then
-   scrollingScreen:start()
-end
-
-
 if time > 6 and stationReached then
 gameWorld:setNextStoryName( "Space Station 1" ) 
Index: data/trunk/scripts/spacestation/spaceship_hangar.lua
===================================================================
--- data/trunk/scripts/spacestation/spaceship_hangar.lua	(revision 4763)
+++ data/trunk/scripts/spacestation/spaceship_hangar.lua	(revision 4765)
@@ -1,10 +1,10 @@
  -- Create the trigger
-trigger = ScriptTrigger()
+trigger = TickTrigger()
 trigger:setName("maintrigger")
 trigger:setScript("spaceship_hangar.lua")
 trigger:setFunction("tick")
-trigger:setActiveOnCreation(true)
+
  
-triggerZero = ScriptTrigger()
+triggerZero = SpaceTrigger()
 triggerZero:setScript("spaceship_hangar.lua")
 triggerZero:setFunction("startQuestThree")
@@ -16,5 +16,5 @@
 
 
-triggerOne = ScriptTrigger()
+triggerOne = SpaceTrigger()
 triggerOne:setScript("spaceship_hangar.lua")
 triggerOne:setFunction("startQuestTwo")
Index: data/trunk/scripts/spacestation/spaceship_tower.lua
===================================================================
--- data/trunk/scripts/spacestation/spaceship_tower.lua	(revision 4763)
+++ data/trunk/scripts/spacestation/spaceship_tower.lua	(revision 4765)
@@ -1,10 +1,9 @@
  -- Create the trigger
-trigger = ScriptTrigger()
+trigger = TickTrigger()
 trigger:setName("maintrigger")
 trigger:setScript("spaceship_tower.lua")
 trigger:setFunction("tick")
-trigger:setActiveOnCreation(true)
-
-triggerOne = ScriptTrigger()
+
+triggerOne = SpaceTrigger()
 triggerOne:setScript("spaceship_tower.lua")
 triggerOne:setFunction("startSecondQuest")
@@ -14,5 +13,5 @@
 --triggerOne:setDebugDraw(true)
 
-triggerTwo = ScriptTrigger()
+triggerTwo = SpaceTrigger()
 triggerTwo:setScript("spaceship_tower.lua")
 triggerTwo:setFunction("startThirdQuest")
Index: data/trunk/scripts/spacestation/switchtohangar.lua
===================================================================
--- data/trunk/scripts/spacestation/switchtohangar.lua	(revision 4763)
+++ data/trunk/scripts/spacestation/switchtohangar.lua	(revision 4765)
@@ -1,4 +1,4 @@
  -- Create the trigger
-trigger = ScriptTrigger()
+trigger = SpaceTrigger()
 trigger:setScript("switchtohangar.lua")
 trigger:setFunction("tick")
Index: data/trunk/scripts/spacestation/switchtotower.lua
===================================================================
--- data/trunk/scripts/spacestation/switchtotower.lua	(revision 4763)
+++ data/trunk/scripts/spacestation/switchtotower.lua	(revision 4765)
@@ -1,4 +1,4 @@
   -- Create the trigger
-trigger = ScriptTrigger()
+trigger = SpaceTrigger()
 trigger:setScript("switchtotower.lua")
 trigger:setFunction("tick")
Index: data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4763)
+++ data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4765)
@@ -42,11 +42,10 @@
 -- thisscript:addObjectAsName("GameWorld", "Mission 1", "gameWorld")
 
-triggerInit = ScriptTrigger()
+triggerInit = TickTrigger()
 triggerInit:setScript("vs1.lua")
 triggerInit:setFunction("init")
-triggerInit:setActiveOnCreation(true)
 
 -- Create the cutscene trigger
-triggerCutscene = ScriptTrigger()
+triggerCutscene = SpaceTrigger()
 triggerCutscene:setScript("vs1.lua")
 triggerCutscene:setFunction("startSequence")
@@ -55,32 +54,28 @@
 triggerCutscene:setAbsCoor(2300 , 0 , 0)
 triggerCutscene:setDebugDraw(false)
-triggerCutscene:setActiveOnCreation(false)
 
 -- Create another cutscene trigger
-triggerCutscene02 = ScriptTrigger()
+triggerCutscene02 = TickTrigger()
 triggerCutscene02:setScript("vs1.lua")
 triggerCutscene02:setFunction("switchToOtherPirate")
-triggerCutscene02:setActiveOnCreation(true)
 
 -- Create another cutscene trigger
-triggerCutscene03 = ScriptTrigger()
+triggerCutscene03 = TickTrigger()
 triggerCutscene03:setScript("vs1.lua")
 triggerCutscene03:setFunction("surviver")
-triggerCutscene03:setActiveOnCreation(true)
 
 -- Create another cutscene trigger
-triggerCutscene04 = ScriptTrigger()
+triggerCutscene04 = TickTrigger()
 triggerCutscene04:setScript("vs1.lua")
 triggerCutscene04:setFunction("onNoxons")
-triggerCutscene04:setActiveOnCreation(true)
 
 -- Create another cutscene trigger
-triggerCutscene05 = ScriptTrigger()
+triggerCutscene05 = TickTrigger()
 triggerCutscene05:setScript("vs1.lua")
 triggerCutscene05:setFunction("changeFromNoxon")
-triggerCutscene05:setActiveOnCreation(true)
+
 
 -- Create another trigger
-triggerStop = ScriptTrigger()
+triggerStop = SpaceTrigger()
 triggerStop:setScript("vs1.lua")
 triggerStop:setFunction("stopPlayer")
@@ -89,8 +84,7 @@
 triggerStop:setAbsCoor(8000 , 0 , -2000)
 triggerStop:setDebugDraw(false)
-triggerStop:setActiveOnCreation(false)
 
 -- Create the cool Ragnar trigger
-triggerRagnar = ScriptTrigger()
+triggerRagnar = SpaceTrigger()
 triggerRagnar:setScript("vs1.lua")
 triggerRagnar:setFunction("startRagnar")
@@ -99,8 +93,7 @@
 triggerRagnar:setAbsCoor(3600 , 0 , -15)
 triggerRagnar:setDebugDraw(false)
-triggerRagnar:setActiveOnCreation(false)
 
 -- Create a great AI activater
---triggerAI01 = ScriptTrigger()
+--triggerAI01 = SpaceTrigger()
 --triggerAI01:setScript("vs1.lua")
 --triggerAI01:setFunction("activateGroup1")
@@ -112,5 +105,5 @@
 
 -- Create another great AI activater
---triggerAI02 = ScriptTrigger()
+--triggerAI02 = SpaceTrigger()
 --triggerAI02:setScript("vs1.lua")
 --triggerAI02:setFunction("activateGroup2")
@@ -119,8 +112,7 @@
 --triggerAI02:setAbsCoor(4900, 0, -45)
 --triggerAI02:setDebugDraw(false)
---triggerAI02:setActiveOnCreation(false)
 
 -- Create another great AI activater
---triggerAI03 = ScriptTrigger()
+--triggerAI03 = SpaceTrigger()
 --triggerAI03:setScript("vs1.lua")
 --triggerAI03:setFunction("activateGroup3")
@@ -129,8 +121,7 @@
 --triggerAI03:setAbsCoor(5850, 0, -170)
 --triggerAI03:setDebugDraw(false)
---triggerAI03:setActiveOnCreation(false)
 
 -- Create another great AI activater
---triggerAI04 = ScriptTrigger()
+--triggerAI04 = SpaceTrigger()
 --triggerAI04:setScript("vs1.lua")
 --triggerAI04:setFunction("startRagnar2")
@@ -139,5 +130,5 @@
 --triggerAI04:setAbsCoor(6500, 0, -350)
 --triggerAI04:setDebugDraw(false)
---triggerAI04:setActiveOnCreation(false)
+
 
 